Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

oqs-provider-0.5.1-1.2 RPM for ppc64le

From OpenSuSE Ports Tumbleweed for ppc64le

Name: oqs-provider Distribution: openSUSE Tumbleweed
Version: 0.5.1 Vendor: openSUSE
Release: 1.2 Build date: Sat Oct 14 00:09:19 2023
Group: Productivity/Security Build host: obs-power8-02
Size: 534636 Source RPM: oqs-provider-0.5.1-1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/open-quantum-safe/oqs-provider/
Summary: Quantum-safe crypto provider for OpenSSL
This is a plugin/shared library making available quantum-safe cryptography
(QSC) to OpenSSL 3.x installations via the Provider API.

Sample call:

openssl-3 ciphers -provider oqsprovider

Provides

Requires

License

MIT

Changelog

* Tue Sep 19 2023 Marcus Meissner <meissner@suse.com>
  - updated to 0.5.1
    - Documentation update
    - document specs
    - General documentation overhaul
    - change TLS demo to use QSC alg
    - Build a module instead of a shared library.
    - explain groups in USAGE
* Tue Jun 13 2023 Marcus Meissner <meissner@suse.com>
  - updated to 0.5.0:
    - oqs-provider now also enables use of QSC algorithms during TLS1.3
      handshake. The required OpenSSL code updates are contained in
      openssl/openssl#19312.
    * Algorithm updates
      All algorithms no longer supported in the NIST PQC competition
      and not under consideration for standardization by ISO have been
      removed. All remaining algorithms with the exception of McEliece
      have been lifted to their final round 3 variants as documented in
      liboqs. Most notably, algorithm names for Sphincs+ have been changed
      to the naming chosen by its authors.
    * Functional updates
    - Enablement of oqs-provider as a (first) dynamically fetchable OpenSSL3 TLS1.3 signature provider.
    - OSX support
    - Full support for CA functionality
    - Algorithms can now be selected by their respective bit strength using the property string "oqsprovider.security_bits"
    - Documentation of (O)IDs used by the different PQC algorithms used and supported in current and past releases of oqs-openssl and oqs-provider
    - Graceful handling (by way of functional degradation) of the feature sets contained in different OpenSSL releases; all oqsprovider capabilities are only available when using a version > than OpenSSL3.1.
    - A bug regarding handling of hybrid algorithms has been fixed as well as some memory leaks.
    * Misc updates
    - Dynamic code point and OID changes via environment variables. See ALGORITHMS.md.
    - Dynamic key encoding changes via environment variable using external qsc_key_encoder library. See ALGORITHMS.md.
  - oqs-provider-shared-liboqs.patch: removed, not needed anymore
  - updated to 0.4.0:
    * Security considerations
    - This release removes Rainbow level 1 and all variants of SIDH and
      SIKE due to cryptanalytic breaks of those algorithms. Users are advised
      to move away from use of those algorithms immediately.
    * Algorithm updates
    - Removal of SIKE/SIDH and Rainbow level I due to cryptographic breaks
    * Functional updates
    - Addition of quantum-safe CMS operations via the OpenSSL interface
    - Addition of quantum-safe dgst operations via the OpenSSL interface
    * Misc updates
    - Additional testing
    - Integration with and of OpenSSL test harness
* Tue Nov 15 2022 Jan Engelhardt <jengelh@inai.de>
  - Update descriptions
* Mon Nov 14 2022 Marcus Meissner <meissner@suse.com>
  - initial import of openssl-3 plugin for liboqs

Files

/usr/lib64/ossl-modules
/usr/lib64/ossl-modules/oqsprovider.so
/usr/share/licenses/oqs-provider
/usr/share/licenses/oqs-provider/LICENSE.txt


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Feb 3 23:48:30 2024